function love.load()
	img = love.graphics.newImage("cross_color.png")
	canvas = love.graphics.newCanvas()
	canvas:renderTo(function() love.graphics.draw(img,5,5) end)

    xblur = love.graphics.newPixelEffect [[
				vec4 effect(vec4 color, Image texture, vec2 texture_coords, vec2 pixel_coords)
				{
					number blurSize = 1/800;
					vec4 pixel = Texel(texture, texture_coords);
					vec3 sum = pixel.rgb * 0.18;
					
					sum += Texel(texture, texture_coords - vec2(4.0*blurSize, 0.0)).rgb * 0.05;
					sum += Texel(texture, texture_coords - vec2(3.0*blurSize, 0.0)).rgb * 0.09;
					sum += Texel(texture, texture_coords - vec2(2.0*blurSize, 0.0)).rgb * 0.12;
					sum += Texel(texture, texture_coords - vec2(blurSize, 0.0)).rgb * 0.15;
					sum += Texel(texture, texture_coords + vec2(blurSize, 0.0)).rgb * 0.15;
					sum += Texel(texture, texture_coords + vec2(2.0*blurSize, 0.0)).rgb * 0.12;
					sum += Texel(texture, texture_coords + vec2(3.0*blurSize, 0.0)).rgb * 0.09;
					sum += Texel(texture, texture_coords + vec2(4.0*blurSize, 0.0)).rgb * 0.05;
					
					return color * vec4(sum,pixel.a);
				}
			]]
	blur = false
end

function love.draw()
	if blur then
		love.graphics.setPixelEffect(xblur)
		love.graphics.draw(canvas,0,0)
	else
		love.graphics.setPixelEffect()
		love.graphics.draw(img,5,5)
	end
end

function love.keypressed(key)
	if key == " " then
		blur = not blur
	end
end